### Method

# Gimp Drawable desaturate

#### Declaration [src]

    gboolean
    gimp_drawable_desaturate (
      GimpDrawable* drawable,
      GimpDesaturateMode desaturate_mode
    )

#### Description [src]

Desaturate the contents of the specified drawable, with the specified formula.

This procedure desaturates the contents of the specified drawable, with the specified formula. This procedure only works on drawables of type RGB color.

Available since: | 2.10

#### Parameters

`desaturate_mode` | `GimpDesaturateMode`
| The formula to use to desaturate.

#### Return value

Returns: | `gboolean`
| TRUE on success.